Bug 684188 - [RV350] Xorg segfaults on reboot/shutdown from XFCE
[RV350] Xorg segfaults on reboot/shutdown from XFCE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 680764
  Show dependency treegraph
 
Reported: 2011-03-11 07:10 EST by Panu Matilainen
Modified: 2012-08-06 16:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log from the system in case its hw-specific somehow (42.37 KB, text/plain)
2011-03-11 07:10 EST, Panu Matilainen
no flags Details
Xorg log from T60 exhibiting the same symptom (28.09 KB, text/plain)
2011-04-19 02:53 EDT, Panu Matilainen
no flags Details

  None (edit)
Description Panu Matilainen 2011-03-11 07:10:30 EST
Created attachment 483699 [details]
Xorg log from the system in case its hw-specific somehow

Description of problem:
The X server crashes with segfault on logout/reboot/shutdown from XFCE session (see bug 680764).

Version-Release number of selected component (if applicable):
At xorg-x11-server-Xorg 1.9.99.1-6.20101201.fc15 and 1.10.0-3.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login to XFCE session
2. Execute "xfce4-session-logout --reboot" (or --halt) from terminal or select it from the logout screen.
  
Actual results:
X server dies and gdm respawns to login screen instead of system going down (so logout "works" in the sense that you get to the login prompt despite the crash)

Expected results:
Well, it shouldn't crash.

Additional info:

Here's the backtrace from Xorg (xorg-x11-server-Xorg 1.10.0-3.fc15) on 'xfce-session-logout --reboot' (same backtrace occurs on --halt and --logout too), the dying on NULL-pointer dereference:

Program received signal SIGSEGV, Segmentation fault.
ChangeGC (client=0x0, pGC=0x113aee0, mask=12288, pUnion=0x7fff45dcdb18)
    at gc.c:250
250			if ((pPixmap->drawable.depth != pGC->depth) ||
(gdb) bt
#0  ChangeGC (client=0x0, pGC=0x113aee0, mask=12288, pUnion=0x7fff45dcdb18)
    at gc.c:250
#1  0x0000000000458b85 in miPaintWindow (pWin=<optimized out>, prgn=0x1b5d0e0, 
    what=<optimized out>) at miexpose.c:657
#2  0x0000000000458dec in miWindowExposures (pWin=0x113d680, prgn=0x1b5d0e0, 
    other_exposed=0x0) at miexpose.c:501
#3  0x000000000052b2be in xf86XVWindowExposures (pWin=0x113d680, 
    reg1=0x1b5d0e0, reg2=<optimized out>) at xf86xv.c:1188
#4  0x000000000055ba54 in miHandleValidateExposures (pWin=0x113d680)
    at miwindow.c:236
#5  0x00000000004552d9 in UnmapWindow (pWin=0x12fb7b0, fromConfigure=0)
    at window.c:2871
#6  0x000000000042951d in ProcUnmapWindow (client=<optimized out>)
    at dispatch.c:840
#7  0x000000000042eab1 in Dispatch () at dispatch.c:431
#8  0x0000000000422d3a in main (argc=<optimized out>, argv=0x7fff45dcdee8, 
    envp=<optimized out>) at main.c:287
(gdb) p pPixmap
$1 = (PixmapPtr) 0x0
(gdb)
Comment 1 Matěj Cepl 2011-03-14 10:49:50 EDT
Could we get output of dmesg (after the crash, if it is possible to get to the console) and /var/log/messages, please? Most of the fun is now in the kernel, so unless we have a nice backtrace in /var/log/Xorg.0.log, we usually need these kernel messages as well.

Thank you
Comment 2 Panu Matilainen 2011-03-14 12:49:27 EDT
Sure... except that there is nothing in either dmesg or /var/log/messages related to the crash (other than abrtd noticing the crash), eg

Mar 14 18:16:48 turre abrt[2402]: saved core dump of pid 1846 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-1300119407-1846.new/coredump (34922496 bytes)
Mar 14 18:16:48 turre abrtd: Directory 'ccpp-1300119407-1846' creation detected
Mar 14 18:16:48 turre gdm-simple-slave[1844]: DEBUG(+): GdmServer: child (pid:1846) done (signal:6)
Mar 14 18:16:48 turre gdm-simple-slave[1844]: DEBUG(+): GdmSimpleSlave: server died with signal 6, (Aborted)
[...continued gdm spew...]

Xorg.0.log backtrace doesn't get full debug information despite the necessary -debuginfo packages being installed, but appears to be the same as the manually generated backtrace in original report:

Backtrace:
[  1396.625] 0: /usr/bin/Xorg (xorg_backtrace+0x2f) [0x4a105f]
[  1396.625] 1: /usr/bin/Xorg (0x400000+0x620a6) [0x4620a6]
[  1396.625] 2: /lib64/libpthread.so.0 (0x31be000000+0xf4e0) [0x31be00f4e0]
[  1396.625] 3: /usr/bin/Xorg (ChangeGC+0x196) [0x440396]
[  1396.626] 4: /usr/bin/Xorg (miPaintWindow+0xf5) [0x458b85]
[  1396.626] 5: /usr/bin/Xorg (miWindowExposures+0xbc) [0x458dec]
[  1396.626] 6: /usr/bin/Xorg (0x400000+0x12b2be) [0x52b2be]
[  1396.626] 7: /usr/bin/Xorg (miHandleValidateExposures+0x74) [0x55ba54]
[  1396.626] 8: /usr/bin/Xorg (UnmapWindow+0x219) [0x4552d9]
[  1396.626] 9: /usr/bin/Xorg (0x400000+0x2951d) [0x42951d]
[  1396.626] 10: /usr/bin/Xorg (0x400000+0x2eab1) [0x42eab1]
[  1396.626] 11: /usr/bin/Xorg (0x400000+0x22d3a) [0x422d3a]
[  1396.626] 12: /lib64/libc.so.6 (__libc_start_main+0xed) [0x31bdc2131d]
[  1396.626] 13: /usr/bin/Xorg (0x400000+0x23021) [0x423021]
[  1396.626] Segmentation fault at address 0x2
[  1396.627]
Fatal server error:
[  1396.627] Caught signal 11 (Segmentation fault). Server aborting
[  1396.627]
[  1396.627]
Comment 3 Panu Matilainen 2011-04-18 04:52:37 EDT
Additional data points: I'm seeing this on Thinkpad T60 (Intel 945GM) too, so it's not limited to just Radeon. I'll grab a proper backtrace at when I've more time, but at least the symptom is exactly the same: X segfaults and throws you back into gdm instead of restarting. And on the other hand, on my new box with ATI Radeon HD 5450 X doesn't crash and restart works.
Comment 4 Panu Matilainen 2011-04-19 02:53:36 EDT
Created attachment 493100 [details]
Xorg log from T60 exhibiting the same symptom

Here's Xorg.0.log for the Intel-variant of the same syndrome. The log doesn't seem to get any meaningful symbol information despite installed -debuginfo's, so this is how it looks like from gdb (ran from another box over ssh):

Program received signal SIGSEGV, Segmentation fault.
uxa_prepare_access (pDrawable=0x0, access=UXA_ACCESS_RO) at uxa.c:145
145             ScreenPtr pScreen = pDrawable->pScreen;
(gdb) bt
#0  uxa_prepare_access (pDrawable=0x0, access=UXA_ACCESS_RO) at uxa.c:145
#1  0x00007f2369e723a8 in uxa_prepare_access_window (pWin=0xc333c0)
    at uxa.c:290
#2  0x00007f2369e72431 in uxa_change_window_attributes (pWin=0xc333c0, mask=2)
    at uxa.c:319
#3  0x00000000004a3ecf in compChangeWindowAttributes (pWin=0xc333c0, mask=2)
    at compinit.c:116
#4  0x0000000000456866 in ChangeWindowAttributes (pWin=<optimized out>, 
    vmask=1, vlist=<optimized out>, client=0xe08f20) at window.c:1441
#5  0x0000000000429170 in ProcChangeWindowAttributes (client=0xe08f20)
    at dispatch.c:692
#6  0x000000000042eb41 in Dispatch () at dispatch.c:431
#7  0x0000000000422dca in main (argc=<optimized out>, argv=0x7fff6d78ce68, 
    envp=<optimized out>) at main.c:287

The backtrace seems quite different so maybe this is a different bug, but given that both occur in the same exact way, and neither system exhibits any other X-related problems...
Comment 5 Kevin Fenzi 2011-04-22 13:03:29 EDT
Might be: https://bugzilla.xfce.org/show_bug.cgi?id=7442 ?
Comment 6 Fedora End Of Life 2012-08-06 16:08:25 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2012-08-06 16:08:26 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.